/**
 * Retornar todos os cursos cadastrados
 */
function GetCursos() {

    $.ajax({

        url: 'http://fundat.aracaju.se.gov.br/app/GetCursos.php',
        dataType: 'json',
        success: function (data) {

            $cursos = '';

            for (var i = 0; i < data.length; i++) {

                $cursos += '<div class="page-item" onclick="GetCurso(' + data[i].id + ')">';
                $cursos += '<div class="col-md-6">';
                $cursos += '<div class="box box-primary">';
                $cursos += '<div class="box-body">';
                $cursos += '<div class="form-group">';
                $cursos += '<div class="input-group">';
                $cursos += '<b>' + data[i].post_title + '</b></div>';
                $cursos += '<div id=' + data[i].id + ' class="input-group">';
                $cursos += '</div>';
                $cursos += '</div></div></div></div></div>';

            }

            $('#loading').hide();
            $('#cursos').html($cursos);

        },
        error: function (data) {
            alert("Sem comunicação com o servidor. Por favor, tente mais tarde.");
            location.reload();
        }

    });

}
/**
 * [[Description]]
 * @param {[[Type]]} id [[Description]]
 */
function GetCurso(id) {

    $('#loading').show();
    $data = '';
    $data = 'id=' + id;

    $.ajax({

        url: 'http://fundat.aracaju.se.gov.br/app/GetCurso.php',
        data: $data,
        type: 'post',
        dataType: 'json',
        success: function (data) {
            $('#' + id).html(data[0].post_content);
            $('#loading').hide();
        },
        error: function (data) {
            alert("Sem comunicação com o servidor. Por favor, tente mais tarde.");
        }

    });

}

/**
 * Retorna todas as noticias fixadas
 */
function GetFixas() {

    $.ajax({

        url: 'http://fundat.aracaju.se.gov.br/app/GetFixas.php',
        dataType: 'json',
        success: function (data) {

            $noticias = '';

            for (var i = 0; i < data.length; i++) {

                $noticias += '<div class="page-item">';
                $noticias += '<div class="col-md-6">';

                if (data[i].img == null || data[i].img == "")
                    $noticias += '';
                else
                    $noticias += '<img src="http://fundat.aracaju.se.gov.br/wp-content/uploads/' + data[i].img + '">';

                $noticias += '<h4 class="input-group" style="float: left;">' + data[i].post_title + '</h4></div>';
                $noticias += data[i].post_content + '</div></div>';

            }

            $('#loading').hide();
            $('#page-fixa').html($noticias);

        },
        error: function (data) {
            alert("Sem comunicação com o servidor. Por favor, tente mais tarde.");
        }

    });

}

/**
 * Retorna todas as noticias cadastradas
 */
function GetNoticias() {

    $.ajax({

        url: 'http://fundat.aracaju.se.gov.br/app/GetNoticias.php',
        dataType: 'json',
        success: function (data) {

            $noticias = '';

            for (var i = 0; i < data.length; i++) {

                $noticias += '<div class="page-item">';
                $noticias += '<div class="col-md-6">';

                if (data[i].img == null || data[i].img == "")
                    $noticias += '<img src="http://fundat.aracaju.se.gov.br/wp-content/uploads/2014/10/FUNDAT_LOGO.jpg">';
                else
                    $noticias += '<img src="http://fundat.aracaju.se.gov.br/wp-content/uploads/' + data[i].img + '">';

                $noticias += '<div class="noticia">';
                $noticias += '<div class="box-header">';
                $noticias += '<h4 class="input-group">' + data[i].post_title + '</h4></div>';
                $noticias += '<div class="box-body">';
                $noticias += '<div class="form-group">';
                $noticias += '<div class="input-group">';
                $noticias += '<p>' + data[i].post_content + '</p></div>';
                $noticias += '</div></div></div></div><a class="saber-mais" onclick="GetNoticia(' + data[i].id + ')">Saiba mais</a></div>';

            }

            $('#loading').hide();
            $('#page-noticias').html($noticias);

        },
        error: function (data) {
            alert("Sem comunicação com o servidor. Por favor, tente mais tarde.");
        }

    });

}

/**
 * Retorna notícia selecionada
 * @param {Number} id Identificador da notícia cadastrada
 */
function GetNoticia(id) {


    $('#loading').show();

    $noticia = '';
    $noticia += 'p_id=' + id;

    $.ajax({

        url: 'http://fundat.aracaju.se.gov.br/app/GetNoticia.php',
        data: $noticia,
        type: 'post',
        dataType: 'json',
        success: function (data) {
            
            if(data[0] == null)
                console.log(data);

            $not = '';
            
            $('#page-fixa').html('');
            $not += '<div class="page-item" style="text-align: center;">';
            if (data[0].meta_value == null || data[0].meta_value == "")
                $not += '<img src="http://fundat.aracaju.se.gov.br/wp-content/uploads/2014/10/FUNDAT_LOGO.jpg" style="float: none !important;">';
            else
                $not += '<img src="http://fundat.aracaju.se.gov.br/wp-content/uploads/' + data[0].meta_value + '" style="float: none !important;">';
            $not += '<div class="col-md-6">';
            $not += '<div class="noticia">';
            $not += '<div class="box-header">';
            $not += '<h4 class="input-group">' + data[0].post_title + '</h4></div>';
            $not += '<div class="box-body">';
            $not += '<div class="form-group">';
            $not += '<div class="input-group">';
            $not += '<p>' + data[0].post_content + '</p></div>';
            $not += '</div></div></div></div></div>';

            $('#loading').hide();
            $('#page-noticias').html($not);

        },
        error: function (data) {
            alert("Sem comunicação com o servidor. Por favor, tente mais tarde.");
        }

    });
}

function CadCurriculo(cadastro) {

    $data = '';
    $data += 'deficiencia=' + cadastro.deficiencia + '&';
    $data += 'cep=' + cadastro.cep + '&';
    $data += 'cpf=' + cadastro.cpf + '&';
    $data += 'dt_nascimento=' + cadastro.dt_nascimento + '&';
    $data += 'telefone_01=' + cadastro.telefone_01 + '&';
    $data += 'telefone_02=' + cadastro.telefone_02 + '&';
    $data += 'nome=' + cadastro.nome + '&';
    $data += 'endereco=' + cadastro.endereco + '&';
    $data += 'numero=' + cadastro.numero + '&';
    $data += 'bairro=' + cadastro.bairro + '&';
    $data += 'complemento=' + cadastro.complemento + '&';
    $data += 'cep=' + cadastro.cep + '&';
    $data += 'cidade=' + cadastro.cidade + '&';
    $data += 'estado=' + cadastro.estado + '&';
    $data += 'cpf=' + cadastro.cpf + '&';
    $data += 'rg=' + cadastro.rg + '&';
    $data += 'dt_nascimento=' + cadastro.dt_nascimento + '&';
    $data += 'telefone_01=' + cadastro.telefone_01 + '&';
    $data += 'telefone_02=' + cadastro.telefone_02 + '&';
    $data += 'email=' + cadastro.email + '&';
    $data += 'escolaridade=' + cadastro.escolaridade + '&';
    $data += 'escQual=' + cadastro.escQual + '&';
    $data += 'deficiente=' + cadastro.deficiente + '&';
    $data += 'deficienciaGrau=' + cadastro.deficienciaGrau + '&';
    $data += 'area_atuacao=' + cadastro.area_atuacao + '&';
    $data += 'curso=' + cadastro.curso + '&';
    $data += 'cursoQual=' + cadastro.cursoQual + '&';
    $data += 'experiencia=' + cadastro.experiencia + '&';
    $data += 'xpQual=' + cadastro.xpQual + '&';
    $data += 'id_usuario=' + cadastro.id_usuario;

    $.ajax({

        url: 'http://fundat.aracaju.se.gov.br/agtbr/sys/functions/CadCurriculo.php',
        data: $data,
        type: 'post',
        dataType: 'html',
        success: function (data) {

            if (data[0] == 0)
                alert("Cadastro efetuado com sucesso!");
            else
                alert("Falha no cadastramento.");

        },
        error: function (data) {}

    });

}

function VerCadastro() {

    var cpf = prompt("Por favor, informe seu CPF. Somente número.");

    if (cpf.length == 11) {

        var pre = cpf.substr(0, 3);
        pre += ".";
        pre += cpf.substr(3, 3);
        pre += ".";
        pre += cpf.substr(6, 3);
        pre += "-";
        pre += cpf.substr(9, 2);

        $data = '';
        $data = 'cpf=' + pre + '&';
        $data += 'funcao=app';

        $.ajax({

            url: 'http://localhost/agtbr/sys/functions/BuscarCPF.php',
            data: $data,
            type: 'post',
            success: function (data) {

                if (data[0] == 0)
                    alert("CPF já cadastro, venha nos visitar e saber nossas vagas disponíveis.");
                else
                    alert("Não temos seu CPF em nosso dados, utilize o botão ao lado para cadastrar agora!");

            },
            error: function (data) {}

        });

    }
    
    else
        alert("CPF inválido.");

}